Building from source -- zlib/binascii problems 2.5.2/2.6.1

"Martin v. Löwis" martin at v.loewis.de
Sun Dec 14 22:54:01 CET 2008


> Target: x86_64-redhat-linux
> gcc -pthread -shared build/temp.linux-x86_64-2.5/location/of/
> Python-2.5.2/Modules/zlibmodule.o -L/usr/local/lib -lz -o build/
> lib.linux-x86_64-2.5/zlib.so
> /usr/bin/ld: skipping incompatible /usr/lib/libz.so when searching for
> -lz

Do

  file /usr/lib/libz.so

It might be a 32-bit library, in which case you can check whether
/usr/lib64 has a 64-bit library. I'm puzzled why it only
happens for -lz; perhaps you are better of compiling with a 32-bit
compiler.

Regards,
Martin



More information about the Python-list mailing list